Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## layout
Interface TableLayoutConstants

All Known Implementing Classes:
  TableLayout, TableLayout.Entry, TableLayoutConstraints

    public interface TableLayoutConstants

Constants used by TableLayout.

Author:
  Daniel E. Barbalace

Field Summary
`static int` | `BOTTOM` Indicates that the component is bottom justified in its cell
`static int` | `CENTER` Indicates that the component is centered in its cell
`static double` | `FILL` Indicates that the row/column should fill the available space
`static int` | `FULL` Indicates that the component is full justified in its cell
`static int` | `LEFT` Indicates that the component is left justified in its cell
`static int` | `MAX_ALIGN` Maximum value for an alignment
`static int` | `MIN_ALIGN` Minimum value for an alignment
`static double` | `MINIMUM` Indicates that the row/column should be allocated just enough space to accomidate the minimum size of all components contained completely within this row/column.
`static double` | `PREFERRED` Indicates that the row/column should be allocated just enough space to accomidate the preferred size of all components contained completely within this row/column.
`static int` | `RIGHT` Indicates that the component is right justified in its cell
`static int` | `TOP` Indicates that the component is top justified in its cell

Field Detail

### LEFT

    static final int LEFT

  Indicates that the component is left justified in its cell

  See Also:
    Constant Field Values

### TOP

    static final int TOP

  Indicates that the component is top justified in its cell

  See Also:
    Constant Field Values

### CENTER

    static final int CENTER

  Indicates that the component is centered in its cell

  See Also:
    Constant Field Values

### FULL

    static final int FULL

  Indicates that the component is full justified in its cell

  See Also:
    Constant Field Values

### BOTTOM

    static final int BOTTOM

  Indicates that the component is bottom justified in its cell

  See Also:
    Constant Field Values

### RIGHT

    static final int RIGHT

  Indicates that the component is right justified in its cell

  See Also:
    Constant Field Values

### FILL

    static final double FILL

  Indicates that the row/column should fill the available space

  See Also:
    Constant Field Values

### PREFERRED

    static final double PREFERRED

  Indicates that the row/column should be allocated just enough space to accomidate the preferred size of all components contained completely within this row/column.

  See Also:
    Constant Field Values

### MINIMUM

    static final double MINIMUM

  Indicates that the row/column should be allocated just enough space to accomidate the minimum size of all components contained completely within this row/column.

  See Also:
    Constant Field Values

### MIN_ALIGN

    static final int MIN_ALIGN

  Minimum value for an alignment

  See Also:
    Constant Field Values

### MAX_ALIGN

    static final int MAX_ALIGN

  Maximum value for an alignment

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD